Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::TLS::Record_Message Class Reference

`#include <tls_record.h>`

## Public Member Functions
const uint8_t * | get_data ()
uint64_t & | get_sequence ()
size_t & | get_size ()
uint8_t & | get_type ()
| Record_Message (const uint8_t *data, size_t size)
| Record_Message (uint8_t type, uint64_t sequence, const uint8_t *data, size_t size)

## Detailed Description

Definition at line 103 of file tls_record.h.

## Constructor & Destructor Documentation

Botan::TLS::Record_Message::Record_Message | ( | const uint8_t * | data,
|  | size_t | size
| ) |  |
| inline

Definition at line 106 of file tls_record.h.

107 : m_type(0), m_sequence(0), m_data(data), m_size(size) {}

Botan::TLS::Record_Message::Record_Message | ( | uint8_t | type,
|  | uint64_t | sequence,
|  | const uint8_t * | data,
|  | size_t | size
| ) |  |
| inline

Definition at line 108 of file tls_record.h.

109 : m_type(type), m_sequence(sequence), m_data(data),
110 m_size(size) {}
type
MechanismType type
Definition: p11_mechanism.cpp:43

## Member Function Documentation

const uint8_t* Botan::TLS::Record_Message::get_data | ( |  | ) |
| inline

Definition at line 114 of file tls_record.h.

Referenced by Botan::TLS::write_record().

114 { return m_data; }

uint64_t& Botan::TLS::Record_Message::get_sequence | ( |  | ) |
| inline

Definition at line 113 of file tls_record.h.

113 { return m_sequence; }

size_t& Botan::TLS::Record_Message::get_size | ( |  | ) |
| inline

Definition at line 115 of file tls_record.h.

Referenced by Botan::TLS::write_record().

115 { return m_size; }

uint8_t& Botan::TLS::Record_Message::get_type | ( |  | ) |
| inline

Definition at line 112 of file tls_record.h.

Referenced by Botan::TLS::write_record().

112 { return m_type; }

The documentation for this class was generated from the following file:

- src/lib/tls/tls_record.h